Linux(Centos)下安装Flex AIR

由于项目的Flash前端需要在Linux下编译发布,所以需要在Centos上安装AIR的编译环境。AIR 的Linux版本只支持到2.6,后面的版本已不再支持Linux平台,所以我们只能安装2.6版本的AIR。

1. 下载AIR安装包AdobeAIRInstaller.bin
http://airdownload.adobe.com/air/lin/download/2.6/AdobeAIRInstaller.bin

添加执行权限

2. 安装依赖包
yum install libgtk-x11-2.0.so.0 libgobject-2.0.so.0 libX11.so.6 libXrender.so.1 libnss3.so libnspr4.so libplds4.so libgcc_s.so.1 libxslt.so.1 libpango-1.0.so.0 libpng12.so.0 libgnome-keyring.so libDCOP.so libhal-storage.so

3. 执行安装

4. 安装Xvfb
要命令行环境下使用air编译,得借助 Xvfb (X virtual frame buffer)。Xvfb相当于一个wrapper, 给应用程序提供虚拟的X server。

Centos下安装直接yum安装

安装好后命令行下输入

将返回当前目录列表,说明安装成功

这样我们就可以用

编译我们的程序了。

参考连接
http://helpx.adobe.com/air/kb/install-air-2-64-bit.html
http://helpx.adobe.com/air/kb/packages-required-run-air-2.html

Erlang技术分享内容均为原创,转载请标明本文地址
本文链接:http://www.kongqingquan.com/archives/165

此条目发表在Linux分类目录,贴了, , 标签。将固定链接加入收藏夹。

Linux(Centos)下安装Flex AIR》有 2 条评论

  1. maliu说:

    在CentOS6.6安装air 2.6在第3步出现了问题
    提示
    (/tmp/air.Vx4L8Y/setup:3288): Gtk-WARNING **: cannot open display:
    导致air环境装不上

发表评论

电子邮件地址不会被公开。 必填项已用*标注

您可以使用这些HTML标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code class="" title="" data-url=""> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> <pre class="" title="" data-url=""> <span class="" title="" data-url="">